1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Is it worth upgrading beyond 3.52-M33-4?

Discussion in 'Sony PSP - Mod and firmware discussion' started by KorpsKill, Dec 5, 2007.

  1. KorpsKill

    KorpsKill Member

    Joined:
    Sep 25, 2007
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    11
    Hey All,

    I have been out of the loop for about couple of months now, so I see that there are new firmware out there...

    1) Is it worth upgrading my current FAT PSPs (2 of them) to newer (which is?) M33s?

    2) A friend is thinking about picking up a Slim, does this SLIM PSP has to be on 3.60 in order to accept PANDORA?

    Any help SLIMs would be appreciated (Guides, etc.)

    Thanks!
     
  2. drakex

    drakex Regular member

    Joined:
    May 19, 2007
    Messages:
    893
    Likes Received:
    0
    Trophy Points:
    26
    1) Yes, either 3.52m33-4 or 3.71m33-3 both are stable, and better Dark Alex is part of the M33 team.

    2) It can be anywhere to be able to get the pandora, but you need to get pandora V3... it upgrades directly to 3.71m33-2

    Check at the top of the forum there is a guide for Downgrading anything... including slims, is pretty easy.
     
  3. tmbm

    tmbm Regular member

    Joined:
    Aug 19, 2006
    Messages:
    383
    Likes Received:
    0
    Trophy Points:
    26
    your choice
     
  4. KorpsKill

    KorpsKill Member

    Joined:
    Sep 25, 2007
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    11
    What does 3.71 do that 3.52 can not? I mean why fix something that is NOT broken? Does 3.71 have any "Must Have" features?

    Thanks!
     
  5. LUFFYPSP

    LUFFYPSP Regular member

    Joined:
    Mar 31, 2007
    Messages:
    1,531
    Likes Received:
    0
    Trophy Points:
    46
    as long as u are on cfw,u'll get nothing but only advantages.i recommend 3.71M33-3 lol...
     
  6. aznclem

    aznclem Member

    Joined:
    Aug 20, 2006
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    16
    er.. got a quick question, can gpsp0.9 and cwcheat be used on 3.71m33-3?

    and for cwcheat, if yes.. which version?
     
  7. LUFFYPSP

    LUFFYPSP Regular member

    Joined:
    Mar 31, 2007
    Messages:
    1,531
    Likes Received:
    0
    Trophy Points:
    46
    ok yes u can.for cwcheat -look HERE
     

Share This Page